const formatTime = (date) => {
    const year = date.getFullYear();
    const month = date.getMonth() + 1;
    const day = date.getDate();
    const hour = date.getHours();
    const minute = date.getMinutes();
    const second = date.getSeconds();
    return [year, month, day].map(formatNumber).join('/') + ' ' + [hour, minute, second].map(formatNumber).join(':');
};
const getLocation = async ()=>{
	let res = await uni.getLocation({
		type: 'wgs84',
		// success: function (res) {
		// 	console.log('当前位置的经度：' + res.longitude);
		// 	console.log('当前位置的纬度：' + res.latitude);
		// }
	});
	return res[1]
}
const msg = (str)=>{
	uni.showToast({
		title:str
	})
}
const strJoin = (str)=>{
	if(!str) return []
	return JSON.parse(str)
}
const formatNumber = (n) => {
    n = n.toString();
    return n[1] ? n : '0' + n;
};

module.exports = {
    formatTime: formatTime,
	getLocation,
	msg,
	strJoin
};
